
From: Milton Miller <miltonm@bga.com>

Be thorough in our exit routine, since it says it is there to be so. 
Unregistering without registering is safe (checked in 2.6.10).

Signed-off-by: Milton Miller <miltonm@bga.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/hvc_console.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/char/hvc_console.c~hvc_console-unregister-the-console-in-the-exit-routine drivers/char/hvc_console.c
--- 25/drivers/char/hvc_console.c~hvc_console-unregister-the-console-in-the-exit-routine	Wed Jul  6 14:00:27 2005
+++ 25-akpm/drivers/char/hvc_console.c	Wed Jul  6 14:00:27 2005
@@ -846,8 +846,9 @@ int __init hvc_init(void)
 }
 module_init(hvc_init);
 
-/* This isn't particularily necessary due to this being a console driver but it
- * is nice to be thorough */
+/* This isn't particularily necessary due to this being a console driver
+ * but it is nice to be thorough.
+ */
 static void __exit hvc_exit(void)
 {
 	kthread_stop(hvc_task);
@@ -856,5 +857,6 @@ static void __exit hvc_exit(void)
 	tty_unregister_driver(hvc_driver);
 	/* return tty_struct instances allocated in hvc_init(). */
 	put_tty_driver(hvc_driver);
+	unregister_console(&hvc_con_driver);
 }
 module_exit(hvc_exit);
_
